REST API
Get the profile
GET
The user's name, username, bio and what their public profile shows.
Required scopes: settings:view
header
AuthorizationBearer <token>OK
application/json- response
data*curl -X GET 'https://workroad.app/api/v1/settings/profile' \ -H 'Authorization: Bearer $WORKROAD_API_KEY'Example Response
{ "data": { "name": "Ada Lovelace", "username": "ada", "description": "Maths and computing, mostly.", "status": "Revising for finals", "location": "London", "showLastLogin": true, "showCreated": true, "showTimezone": false, "showMembership": true }}